Canalplan Bug Tracker



Anonymous Login
2019-02-21 18:14 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000508Canalplan [All Projects] Bugpublic2018-11-26 08:30
ReporterNeale Swinnerton 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformGenericOSN/AOS VersionN/A
Product Version9.28Product Build 
Target VersionFixed in Version 
Summary0000508: lat/long co-ordinates are not shown correctly on place screen popup
DescriptionOn the place screen, clicking on either Latitude raises a pop-up with options to get the value in different formats.

For Latitude - the first value is always 0
Steps To ReproduceFind a place, problem occurs for all places I checked: (I used https://canalplan.org.uk/place/do8m)

Click on Latitude in the left panel.
   A popup appears giving various options
 Click on lat/lng
   Value in popup changes to 0,-2.1075
     - It should be 52.7237,-2.1075
Additional InformationI initially thought there was a problem with the longitude verson of this, but I note that the format is lng/lat in that popup. Is that intentional? Does anyone ever want it in that format - why not have lat/lng in BOTH popups?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001960

Nick Atty (administrator)

Thank you - I wonder if this has always been broken or if something has caused it - a very quick glance at the code doesn't show anything obvious.

Until a month or two ago I'd probably have agreed with you on lng/lat, but there is quite a collection of JavaScript - mapbox and turf for example - that use lng/lat coordinates.

~0001961

Nick Atty (administrator)

It was a tiny error - one stray quote - so I fixed it in a pre-release patch.

~0001977

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2018-10-25 21:52 Neale Swinnerton New Issue
2018-10-25 23:21 Stephen Atty Assigned To => Nick Atty
2018-10-25 23:21 Stephen Atty Status new => assigned
2018-10-26 08:05 Nick Atty Note Added: 0001960
2018-10-27 08:39 Nick Atty Status assigned => resolved
2018-10-27 08:39 Nick Atty Resolution open => fixed
2018-10-27 08:39 Nick Atty Note Added: 0001961
2018-11-26 08:30 Autoclose Note Added: 0001977
2018-11-26 08:30 Autoclose Status resolved => closed
+Issue History